void printqueueworker(void) {
  static unsigned long ticker = 0;

  if (millis() - ticker > 100) {
    if ( (printerbuffer != "") && (! lpt.isbusy()) ) {
      String buffer;
      if (printerbuffer.length() <= 9) {
        buffer = printerbuffer;
        printerbuffer = "";
      } else {
        buffer = printerbuffer.substring(0, 9);
        printerbuffer = printerbuffer.substring(9);
      }
      
      // Ansi
      buffer.replace("ß","ss");
      buffer.replace("ä","ae");
      buffer.replace("ü","ue");
      buffer.replace("ö","oe");
      buffer.replace("Ä","Ae");
      buffer.replace("Ü","Ue");
      buffer.replace("Ö","Oe");

      // Cp1252
      buffer.replace("\xDF","ss");
      buffer.replace("\xE4","ae");
      buffer.replace("\xFC","ue");
      buffer.replace("\xF6","oe");
      buffer.replace("\xC4","Ae");
      buffer.replace("\xDC","Ue");
      buffer.replace("\xD6","Oe");

      lpt.print(buffer);
    }
    ticker = millis();
  }
}
